CSS_DIR        = "dokk/static/css/"
STYLUS_DIR     = "dokk/static/stylus/"
JAVASCRIPT_DIR = "dokk/static/js/"

all: css minify_js
	@echo "\n====  END  ====\n"

css:
	@echo "\n====  BUILDING CSS FILES  ====\n"

	stylus	--watch \
		--compress \
		--disable-cache \
		--out $(CSS_DIR) \
		$(STYLUS_DIR)dokk.styl

minify_js:
	@echo "\n====  MINIFYING JS  ====\n"

        # JavaScript
	closure-compiler \
		--compilation_level ADVANCED_OPTIMIZATIONS \
		--js $(JAVASCRIPT_DIR)dokk.js \
		--js_output_file $(JAVASCRIPT_DIR)dokk.min.js

clean:
	rm --recursive --force \
		$(CSS_DIR)*.css \
		$(JAVASCRIPT_DIR)dokk.min.js

.PHONY: all css minify_js clean
